/* ===========================================================  */
/*   TiDB űģ                          */
/*   ˵                                                     */
/*    1.Աλ޸ı壬ԼԼƣ          */
/*    ڱĩβ׷С                                  */
/*    2.鲻۲ͬԱıһУǲͬУ      */
/*    ڱԱΪһ֣Ա        */
/*    Աһױ                                        */            
/*    3.޸ĸеĳʼ塣                              */
/*   :     2022-6-6  14:18                              */
/* ============================================================ */

/* ============================================================ */
/*   Table: pubdata  һEzSTEPһ                         */
/* ============================================================ */

create table pubdata
(
    pubnum           INTEGER               not null ,
    bcasttype        CHAR(2)               not null ,
    setid            CHAR(3)               not null ,
    seqnum           INTEGER               not null ,
    recordtimestamp  CHAR(21)              null     ,
    mdtext           VARCHAR(1024)         null     ,
    constraint PK_PUBDATA primary key (pubnum)      ,
    constraint UNIQUE_PUBDATA unique (bcasttype , setid , seqnum)
);

/* ============================================================ */
/*   Table: reqresp    һPBUһű                            */
/* ============================================================ */

create table reqresp
(
    reqnum          INTEGER               not null ,
    reqid           CHAR(3)               not null ,
    reff            CHAR(10)              not null ,
    pbu             CHAR(5)               not null ,
    securityid      CHAR(8)               not null ,
    recordtimestamp CHAR(21)              null     ,
    ordstatus       CHAR(1)               not null ,
    remark          CHAR(5)               null     ,
    reqtext         VARCHAR(1024)         null     ,
    resptext        VARCHAR(1024)         null     ,
    localrespnum    INTEGER               null     ,
    constraint PK_REQRESP primary key (reqnum)
);

/* ============================================================ */
/*   Table: execreport    һPBUһű                         */
/* ============================================================ */

create table execreport
(
    execnum          INTEGER               not null ,
    bcasttype        CHAR(2)               not null ,
    setid            CHAR(3)               not null ,
    seqnum           INTEGER               not null ,
    recordtimestamp  CHAR(21)              null     ,
    execreporttext   VARCHAR(1024)         null     ,
    constraint PK_EXECREPORT primary key (execnum)  ,
    constraint UNIQUE_EXECREPORT unique (bcasttype , setid , seqnum)
);

/* ============================================================ */
/*   Table: externalrefdata  ⲿοݱһEzSTEPһ */
/* ============================================================ */

create table externalrefdata
(
    recordid         INTEGER               not null ,
    tablidcod        CHAR(1)               not null ,
    text             VARCHAR(1024)         null     ,
    bizdate          CHAR(8)               null     ,
    recordtimestamp  CHAR(21)              null     ,
    constraint PK_EXTERNALREFDATA primary key (recordid)
);

create index INDEX_BIZDATE on externalrefdata
(
    bizdate desc 
);
